using ladaexpress.vn.Infrastructures.Startup;
using ladaexpress.vn.Infrastructures.StartupRegisters;
var builder = WebApplication.CreateBuilder(args);



builder.Services.RegisterGeneralServices(builder.Configuration);
builder.Services.RegisterDependency(builder.Configuration);

builder.Services.AddHostedService<StartupHostedService>();

var app = builder.Build();


app.ConfigAndRunApp();
